SignalContainerCommand (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records, enum: SignalContainerCommand

Package org.apache.hadoop.yarn.api.records

# Enum Class SignalContainerCommand

java.lang.Object
java.lang.Enum<SignalContainerCommand>
org.apache.hadoop.yarn.api.records.SignalContainerCommand

All Implemented Interfaces:
  `Serializable`, `Comparable<SignalContainerCommand>`, `Constable`

@Public @Evolving public enum SignalContainerCommand extends Enum<SignalContainerCommand>
Enumeration of various signal container commands.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FORCEFUL_SHUTDOWN`
  Forcefully shutdown a container.
  `GRACEFUL_SHUTDOWN`
  Gracefully shutdown a container.
  `OUTPUT_THREAD_DUMP`
  Used to capture thread dump.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SignalContainerCommand`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SignalContainerCommand[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OUTPUT_THREAD_DUMP

    public static final SignalContainerCommand OUTPUT_THREAD_DUMP
    Used to capture thread dump. On Linux, it is equivalent to SIGQUIT.

  - ### GRACEFUL_SHUTDOWN

    public static final SignalContainerCommand GRACEFUL_SHUTDOWN
    Gracefully shutdown a container. On Linux, it is equivalent to SIGTERM.

  - ### FORCEFUL_SHUTDOWN

    public static final SignalContainerCommand FORCEFUL_SHUTDOWN
    Forcefully shutdown a container. On Linux, it is equivalent to SIGKILL.

- ## Method Details

  - ### values

    public static SignalContainerCommand[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SignalContainerCommand valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null